import { RequestProps } from "lib/route_wrapper/wrapperSession";
import { NextRequest, NextResponse } from "next/server";

import mockConfig from "./mockConfig";
jest.mock("lib/route_wrapper/wrapperSession", () => {
    return {
        wrapperSession: jest.fn(
            (
                handler: (
                    request: NextRequest,
                    props?: RequestProps,
                ) => Promise<NextResponse>,
            ) => {
                return async (req: NextRequest, props: RequestProps) => {
                    return await handler(req, {
                        ...props,
                        session: mockConfig.session,
                    });
                };
            },
        ),
    };
});

jest.mock("@snip/auth/book_permissions", () => {
    return {
        getPerms: jest.fn(async () => {
            let auth_method: "bearer" | "user" | "ui_token" | "unknown";
            if (mockConfig.session.anonymous) {
                auth_method = "ui_token";
            }
            if (mockConfig.session.user) {
                auth_method = "user";
            }

            return {
                ...mockConfig.book_perms,
                auth_method,
            };
        }),
    };
});

jest.mock("next/headers", () => ({
    headers: jest.fn(() => mockConfig.headers),
}));
