"use client";
import { Button } from "react-bootstrap";

import { useUserProfile } from "./context";

export function DownloadUserData() {
    const { user, config } = useUserProfile();

    function downloadUserData() {
        saveTemplateAsFile(`${user?.email}.json`, {
            user,
            config,
        });
    }

    return (
        <Button variant="outline-dark" onClick={downloadUserData}>
            Download user data (JSON)
        </Button>
    );
}

const saveTemplateAsFile = (filename: string, dataObjToWrite: unknown) => {
    const blob = new Blob([JSON.stringify(dataObjToWrite)], {
        type: "text/json",
    });
    const link = document.createElement("a");

    link.download = filename;
    link.href = window.URL.createObjectURL(blob);
    link.dataset.downloadurl = ["text/json", link.download, link.href].join(
        ":",
    );

    const evt = new MouseEvent("click", {
        view: window,
        bubbles: true,
        cancelable: true,
    });

    link.dispatchEvent(evt);
    link.remove();
};
