import type { Metadata } from "next";

import { BooksBrowser } from "components/books/browser/BooksBrowser";

export default function BookBrowser() {
    return (
        <div className="container">
            <UpdateNotification />
            <BooksBrowser rootFolderId={"root"} />
        </div>
    );
}

const UpdateNotification = () => {
    return (
        <div className="alert alert-info mx-2">
            We&apos;re happy to announce that snip had a minor updated to{" "}
            <b>v1.8.4</b> featuring some small fixes and enhanced support for
            the{" "}
            <a href="https://snip-python.readthedocs.io/en/latest/">
                <code>snip-python</code>
            </a>{" "}
            package. You can find the full list of changes in the{" "}
            <a
                href="https://gitlab.gwdg.de/irp/snip/-/blob/main/CHANGELOG.md?ref_type=heads"
                target="_blank"
                className="alert-link"
                rel="noopener noreferrer"
            >
                changelog
            </a>
            . As always it is possible that some issues may arise because of the
            update. If you encounter any problems, please let us know by
            creating an{" "}
            <a
                href="https://gitlab.gwdg.de/irp/snip/-/issues"
                className="alert-link"
            >
                issue
            </a>{" "}
            or contacting us at{" "}
            <a href="mailto:uprpsnip@gwdg.de" className="alert-link">
                uprpsnip@gwdg.de
            </a>
            . We appreciate your feedback and will do our best to address any
            issues that arise.
            <br />
        </div>
    );
};

export const metadata: Metadata = {
    title: "My Books",
};
